OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
ComputeIntersectingVoxelSign< TreeType, MeshDataAdapter > Struct Template Reference

`#include <MeshToVolume.h>`

## Public Types
typedef TreeType::ValueType | ValueType
typedef TreeType::LeafNodeType | LeafNodeType
typedef TreeType::template ValueConverter< Int32 >::Type | Int32TreeType
typedef Int32TreeType::LeafNodeType | Int32LeafNodeType
typedef std::pair< boost::shared_array< Vec3d >, boost::shared_array< bool > > | LocalData
typedef tbb::enumerable_thread_specific< LocalData > | LocalDataTable

## Public Member Functions
| ComputeIntersectingVoxelSign (std::vector< LeafNodeType *> &distNodes, const TreeType &distTree, const Int32TreeType &indexTree, const MeshDataAdapter &mesh)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ Int32LeafNodeType

typedef Int32TreeType::LeafNodeType Int32LeafNodeType

## ◆ Int32TreeType

typedef TreeType::template ValueConverter<Int32>::Type Int32TreeType

## ◆ LeafNodeType

typedef TreeType::LeafNodeType LeafNodeType

## ◆ LocalData

typedef std::pair<boost::shared_array<Vec3d>, boost::shared_array<bool> > LocalData

## ◆ LocalDataTable

typedef tbb::enumerable_thread_specific<LocalData> LocalDataTable

## ◆ ValueType

typedef TreeType::ValueType ValueType

## Constructor & Destructor Documentation

## ◆ ComputeIntersectingVoxelSign()

ComputeIntersectingVoxelSign | ( | std::vector< LeafNodeType *> & | distNodes,
|  | const TreeType & | distTree,
|  | const Int32TreeType & | indexTree,
|  | const MeshDataAdapter & | mesh
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- MeshToVolume.h